/* ======================================================
                  Ricardo Martin Manso
                     PFC - UOC 2010
======================================================= */

package backup;

// =======================================================
// Almacena datos relativos a un archivo y los bloques que lo forman
// =======================================================
public class Archivo {

    private String nombre;
    private DescBloquesArchivo descBloques;
    private String path;


    private long ptr;
    private long lastMod;

    public void Archivo()
    {
        nombre="";
        setDescBloques(null);
        path="";
    }

    public  Archivo(String nombre)
    {
        this.nombre=nombre;
        setDescBloques(null);
        path="";
    }

    public String getNombre() {
        return nombre;
    }

    /**
     * @param nombre the nombre to set
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    /**
     * @return the descBloques
     */
    public DescBloquesArchivo getDescBloques() {
        return descBloques;
    }

    /**
     * @param descBloques the descBloques to set
     */
    public void setDescBloques(DescBloquesArchivo descBloques) {
        this.descBloques = descBloques;
    }

    /**
     * @return the ptr
     */
    public long getPtr() {
        return ptr;
    }

    /**
     * @param ptr the ptr to set
     */
    public void setPtr(long ptr) {
        this.ptr = ptr;
    }

    /**
     * @return the path
     */
    public String getPath() {
        return path;
    }

    /**
     * @param path the path to set
     */
    public void setPath(String path) {
        this.path = path;
    }

    /**
     * @return the lastMod
     */
    public long getLastMod() {
        return lastMod;
    }

    /**
     * @param lastMod the lastMod to set
     */
    public void setLastMod(long lastMod) {
        this.lastMod = lastMod;
    }



}
